//primer risanja drevesa v Javi
import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JFrame;
 
public class Matematika extends JFrame {

    public Matematika() {
		super("Matematika");
        setBounds(100, 100, 500, 500);
        setResizable(true);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }
	
	private double f (int x) { return Math.pow(x, 2); }
 
    private void drawGraph(Graphics g, int defmin, int defmax, int centerX, int centerY ) {
        for (int x = defmin; x <= defmax; x++) {
			int y = (int) f(x);
			
			int drawX = centerX + x;
			int drawY = getHeight() - centerY - y;
			g.drawRect(drawX, drawY, 1, 1);
		}
    }
 
    @Override
    public void paint(Graphics g) {
        g.setColor(Color.BLACK);
		
		
		int centerX = (int) getWidth() / 2;
		int centerY = (int) getHeight() / 2;
		
		int defmin = 0 - centerX;
		int defmax = centerX;
		
        drawGraph(g, defmin, defmax, centerX, centerY);
    }
 
    public static void main(String[] args) {
        new Matematika().setVisible(true);
    }
}